# Uses of Class
it.tdlight.jni.TdApi.ChatStatisticsMessageSenderInfo

## Uses of TdApi.ChatStatisticsMessageSenderInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatStatisticsMessageSenderInfo
Modifier and Type
Field
Description
`TdApi.ChatStatisticsMessageSenderInfo[]`
TdApi.ChatStatisticsSupergroup.`topSenders`
List of users sent most messages in the last week.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatStatisticsMessageSenderInfo
Modifier
Constructor
Description
``
`ChatStatisticsSupergroup(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue messageCount, TdApi.StatisticalValue viewerCount, TdApi.StatisticalValue senderCount, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageContentGraph, TdApi.StatisticalGraph actionGraph, TdApi.StatisticalGraph dayGraph, TdApi.StatisticalGraph weekGraph, TdApi.ChatStatisticsMessageSenderInfo[] topSenders, TdApi.ChatStatisticsAdministratorActionsInfo[] topAdministrators, TdApi.ChatStatisticsInviterInfo[] topInviters)`
A detailed statistics about a supergroup chat.